---
version: '3.4'

services:

  renew:
    container_name: sslproxy_renew
    image: ${LETSENCRYPT_IMAGE}
    volumes:
      - ${LETSENCRYPT_MOUNT}:/etc/letsencrypt
    ports:
      - "80:80"
    entrypoint:
      - certbot
      - certonly
      - --standalone
      - -n
#    networks:
#      - ingress

  certificates:
    image: ${LETSENCRYPT_IMAGE}
    volumes:
      - ${LETSENCRYPT_MOUNT}:/etc/letsencrypt
    ports:
      - 80:80
    command:
      - certificates
#      - --standalone
#      - --test-cert
#      - --dryrun

  test:
    image: ${LETSENCRYPT_IMAGE}
    volumes:
      - ${LETSENCRYPT_MOUNT}:/etc/letsencrypt
    ports:
      - 80:80

networks:
  ingress:
    external: true
